List all subscriptions
curl --request GET \
--url https://api.bondio.co/v1/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v1/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "sub.id1",
"esimIccid": "891004234814455936F",
"planId": "plan_id1",
"createdAt": 1707752560,
"activatedAt": 1707778560,
"expireAt": 1707799560,
"purchasedAllowance": {
"dataBytes": 102400001024,
"voiceSeconds": 3660,
"smsMessages": 100
},
"remainingAllownace": {
"dataBytes": 1024,
"voiceSeconds": 1800,
"smsMessages": 50
},
"state": "active",
"metadata": {
"devDefinedKey": "someValue"
},
"plan": {
"name": "Australia 1GB 7d recurring throttled",
"dataMegaBytes": 1024,
"periodDays": 1,
"periodIterations": 7,
"throttledSpeedKbps": 128,
"label": "sigma",
"coverageProfileId": "cvpr_dhl3zq9r"
}
}
],
"nextPage": "<string>"
}Subscription
List all subscriptions
Return a list of subscriptions. The list is sorted by createdAt timestamp with the most recently created subscriptions appearing first.
GET
/
v1
/
subscriptions
List all subscriptions
curl --request GET \
--url https://api.bondio.co/v1/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v1/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "sub.id1",
"esimIccid": "891004234814455936F",
"planId": "plan_id1",
"createdAt": 1707752560,
"activatedAt": 1707778560,
"expireAt": 1707799560,
"purchasedAllowance": {
"dataBytes": 102400001024,
"voiceSeconds": 3660,
"smsMessages": 100
},
"remainingAllownace": {
"dataBytes": 1024,
"voiceSeconds": 1800,
"smsMessages": 50
},
"state": "active",
"metadata": {
"devDefinedKey": "someValue"
},
"plan": {
"name": "Australia 1GB 7d recurring throttled",
"dataMegaBytes": 1024,
"periodDays": 1,
"periodIterations": 7,
"throttledSpeedKbps": 128,
"label": "sigma",
"coverageProfileId": "cvpr_dhl3zq9r"
}
}
],
"nextPage": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The state of the subscription
Available options:
active, expired, ready A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call.
Number of items to be returned in a single page
Required range:
1 <= x <= 25
